/*
[DESCRIPTION]
VRayMtlPresets v06
Simple Macro for quick VRayMtl presets.
[INSTALLATION]
Macroscripts (.mcr) should be placed in maxroot\UI\Macroscripts,
and are then accessed through the "Customize User Interface" menu in 3ds max.
You can then assign the script to a keystroke, or a button.
Macroscript will appear under the "S_VRay Tools" category in the dropdown.
[CREATION INFO]
Author: Regimantas Valiukas aka Siger. www.siger.lt
Last Modified: March 08, 2009
*/
macroScript vraymtlPresets category:"S_VRay Tools" buttonText:"VRayMtlPr" tooltip:"VRayMtl Quick Presets"
(
rollout a "Metal" width:200 height:496
(
	button b_chrome1 "Assign" pos:[124,10] width:60 height:16
	label lbl1 "Chrome 1" pos:[8,10] width:112 height:16
	button b_chrome2 "Assign" pos:[124,34] width:60 height:16
	label lbl2 "Chrome 2" pos:[8,34] width:112 height:16
	button b_chrome3 "Assign" pos:[124,58] width:60 height:16
	label lbl3 "Chrome (Objects)" pos:[8,58] width:112 height:16
	button b_aluminium1 "Assign" pos:[124,82] width:60 height:16
	label lbl4 "Aluminium" pos:[8,82] width:112 height:16
	button b_aluminium2 "Assign" pos:[124,106] width:60 height:16
	label lbl5 "Aluminium (Objects)" pos:[8,106] width:112 height:16
	button b_ssteel "Assign" pos:[124,179] width:60 height:16
	label lbl6 "Stainless Steel" pos:[8,179] width:112 height:16
	button b_silver "Assign" pos:[124,227] width:60 height:16
	label lbl7 "Silver" pos:[8,227] width:112 height:16
	button b_gold "Assign" pos:[124,251] width:60 height:16
	label lbl8 "Gold Yellow" pos:[8,251] width:112 height:16
	button b_cooper "Assign" pos:[124,347] width:60 height:16
	label lbl9 "Copper" pos:[8,347] width:112 height:16
	button b_bronze "Assign" pos:[124,371] width:60 height:16
	label lbl10 "Bronze" pos:[8,371] width:112 height:16
	button b_brass "Assign" pos:[124,395] width:60 height:16
	label lbl41 "Brass" pos:[8,395] width:112 height:16
	button b_titanium "Assign" pos:[124,443] width:60 height:16
	label lbl42 "Titanium" pos:[8,443] width:112 height:16
	label lbl28 "Gold Rose" pos:[8,275] width:96 height:24
	button b_gold_rose "Assign" pos:[124,275] width:60 height:16
	label lbl29 "Gold White" pos:[8,299] width:96 height:24
	button b_gold_white "Assign" pos:[124,299] width:60 height:16
	button b_aluminium_anis "Assign" pos:[124,131] width:60 height:16
	label lbl97 "Aluminium Anisotropic" pos:[8,131] width:112 height:16
	button b_aluminium_comp "Assign" pos:[124,155] width:60 height:16
	label lbl113 "Aluminium Composite" pos:[8,155] width:112 height:16
	button b_steel_obj "Assign" pos:[124,203] width:60 height:16
	label lbl130 "Steel (Objects)" pos:[8,203] width:112 height:16
	label lbl182 "Gold Green" pos:[8,323] width:96 height:24
	button b_gold_green "Assign" pos:[124,323] width:60 height:16
	button b_brass_furn "Assign" pos:[124,419] width:60 height:16
	label lbl219 "Brass (Furniture)" pos:[8,419] width:112 height:16
	button b_platinum "Assign" pos:[124,467] width:60 height:16
	label lbl20 "Platinum" pos:[8,467] width:112 height:16
	on b_chrome1 pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Chrome_1"
	   meditMaterials[activeMeditSlot].Diffuse = color 0 0 0
	   meditMaterials[activeMeditSlot].Reflection = color 230 230 230
	   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = off
	   meditMaterials[activeMeditSlot].reflection_ior = 20
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 7
	   meditMaterials[activeMeditSlot].brdf_type = 1
	)
	on b_chrome2 pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Chrome_2"
	   meditMaterials[activeMeditSlot].Diffuse = color 45 45 45
	   meditMaterials[activeMeditSlot].Reflection = color 215 215 215
	   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 7
	   meditMaterials[activeMeditSlot].brdf_type = 0
	)
	on b_chrome3 pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Chrome_Object"
	   meditMaterials[activeMeditSlot].Diffuse = color 40 40 40
	   meditMaterials[activeMeditSlot].Reflection = color 215 215 215
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.8
	   meditMaterials[activeMeditSlot].reflection_subdivs = 24
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].brdf_type = 1
	)
	on b_aluminium1 pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Aluminium"
	   meditMaterials[activeMeditSlot].Diffuse = color 75 86 86
	   meditMaterials[activeMeditSlot].Reflection = color 144 144 144
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.7
	   meditMaterials[activeMeditSlot].reflection_subdivs = 20
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].brdf_type = 2
	)
	on b_aluminium2 pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Aluminium_Object"
	   meditMaterials[activeMeditSlot].Diffuse = color 105 105 105
	   meditMaterials[activeMeditSlot].Reflection = color 90 90 90
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.7
	   meditMaterials[activeMeditSlot].reflection_subdivs = 20
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].brdf_type = 2
	)
	on b_ssteel pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Stainless_Steel"
	   meditMaterials[activeMeditSlot].Diffuse = color 52 52 52
	   meditMaterials[activeMeditSlot].Reflection = color 152 152 152
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.9
	   meditMaterials[activeMeditSlot].reflection_subdivs = 16
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   
	   meditMaterials[activeMeditSlot].brdf_type = 1
	   meditMaterials[activeMeditSlot].anisotropy = 0.7
	   meditMaterials[activeMeditSlot].anisotropy_rotation = 90.0
	)
	on b_silver pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Silver"
	   meditMaterials[activeMeditSlot].Diffuse = color 30 30 30
	   meditMaterials[activeMeditSlot].Reflection = color 231 231 231
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.7
	   meditMaterials[activeMeditSlot].reflection_subdivs = 24
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].brdf_type = 0
	)
	on b_gold pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Gold_Yellow"
	   meditMaterials[activeMeditSlot].Diffuse = color 80 62 50
	   meditMaterials[activeMeditSlot].Reflection = color 216 171 113
	   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].brdf_type = 0
	)
	on b_cooper pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Copper"
	   meditMaterials[activeMeditSlot].Diffuse = color 105 84 65
	   meditMaterials[activeMeditSlot].Reflection = color 130 70 34
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.7
	   meditMaterials[activeMeditSlot].reflection_subdivs = 24
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].brdf_type = 2
	)
	on b_bronze pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Bronze"
	   meditMaterials[activeMeditSlot].Diffuse = color 31 12 0
	   meditMaterials[activeMeditSlot].Reflection = color 177 137 60
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.7
	   meditMaterials[activeMeditSlot].reflection_subdivs = 16
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].brdf_type = 0
	)
	on b_brass pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Brass"
	   meditMaterials[activeMeditSlot].Diffuse = color 105 91 65
	   meditMaterials[activeMeditSlot].Reflection = color 130 107 53
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.7
	   meditMaterials[activeMeditSlot].reflection_subdivs = 16
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].brdf_type = 2
	)
	on b_titanium pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Titanium"
	   meditMaterials[activeMeditSlot].Diffuse = color 34 40 38
	   meditMaterials[activeMeditSlot].Reflection = color 138 142 134
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.5
	   meditMaterials[activeMeditSlot].reflection_subdivs = 24
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].brdf_type = 2
	   meditMaterials[activeMeditSlot].reflect_minRate = -5
	   meditMaterials[activeMeditSlot].reflect_maxRate = -3
	   meditMaterials[activeMeditSlot].reflect_interpSamples = 20
	   meditMaterials[activeMeditSlot].reflect_normalThreshold = 0.4
	   meditMaterials[activeMeditSlot].reflect_colorThreshold = 0.25
	)
	on b_gold_rose pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Gold_Rose"
	   meditMaterials[activeMeditSlot].Diffuse = color 150 102 80
	   meditMaterials[activeMeditSlot].Reflection = color 240 204 179
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.98
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = off
	   meditMaterials[activeMeditSlot].reflection_ior = 20
	   meditMaterials[activeMeditSlot].brdf_type = 0
	)
	on b_gold_white pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Gold_White"
	   meditMaterials[activeMeditSlot].Diffuse = color 188 186 198
	   meditMaterials[activeMeditSlot].Reflection = color 243 224 228
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.99
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = off
	   meditMaterials[activeMeditSlot].reflection_ior = 18.6
	   meditMaterials[activeMeditSlot].brdf_type = 0
	)
	on b_aluminium_anis pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Aluminium_Anisotropic"
	   meditMaterials[activeMeditSlot].Diffuse = color 127 127 127
	   meditMaterials[activeMeditSlot].Reflection = color 225 225 225 
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.62
	   meditMaterials[activeMeditSlot].reflection_subdivs = 30
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = off
	   meditMaterials[activeMeditSlot].reflection_ior = 18.5
	   meditMaterials[activeMeditSlot].anisotropy = 0.4
	   meditMaterials[activeMeditSlot].anisotropy_rotation = 0.0
	   meditMaterials[activeMeditSlot].brdf_type = 2
	)
	on b_aluminium_comp pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Aluminium_Composite"
	   meditMaterials[activeMeditSlot].Diffuse = color 157 164 170
	   meditMaterials[activeMeditSlot].Reflection = color 157 164 170 
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.8
	   meditMaterials[activeMeditSlot].reflection_subdivs = 10
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 2
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = off
	   meditMaterials[activeMeditSlot].reflection_ior = 20
	   meditMaterials[activeMeditSlot].anisotropy = 0.0
	   meditMaterials[activeMeditSlot].anisotropy_rotation = 90.0
	   meditMaterials[activeMeditSlot].brdf_type = 2
	   meditMaterials[activeMeditSlot].texmap_bump_on = true
	   meditMaterials[activeMeditSlot].texmap_bump_multiplier = 5.0
	   meditMaterials[activeMeditSlot].texmap_bump = Noise type:0 size:500
	)
	on b_steel_obj pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Steel_Object"
	   meditMaterials[activeMeditSlot].Diffuse = color 106 106 106
	   meditMaterials[activeMeditSlot].Reflection = color 76 76 76
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.7
	   meditMaterials[activeMeditSlot].reflection_subdivs = 10
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].brdf_type = 0
	   meditMaterials[activeMeditSlot].anisotropy = 0.0
	   meditMaterials[activeMeditSlot].anisotropy_rotation = 0.0
	   meditMaterials[activeMeditSlot].reflect_minRate = -5
	   meditMaterials[activeMeditSlot].reflect_maxRate = -3
	   meditMaterials[activeMeditSlot].reflect_interpSamples = 20
	   meditMaterials[activeMeditSlot].reflect_normalThreshold = 0.4
	   meditMaterials[activeMeditSlot].reflect_colorThreshold = 0.25
	)
	on b_gold_green pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Gold_Green"
	   meditMaterials[activeMeditSlot].Diffuse = color 137 136 99
	   meditMaterials[activeMeditSlot].Reflection = color 252 248 186
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.99
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = off
	   meditMaterials[activeMeditSlot].reflection_ior = 20
	   meditMaterials[activeMeditSlot].brdf_type = 0
	)
	on b_brass_furn pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Brass_Furniture"
	   meditMaterials[activeMeditSlot].Diffuse = color 174 120 25
	   meditMaterials[activeMeditSlot].Reflection = color 170 135 85
	   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].brdf_type = 2
	   meditMaterials[activeMeditSlot].reflect_minRate = -5
	   meditMaterials[activeMeditSlot].reflect_maxRate = -3
	   meditMaterials[activeMeditSlot].reflect_interpSamples = 20
	   meditMaterials[activeMeditSlot].reflect_normalThreshold = 0.4
	   meditMaterials[activeMeditSlot].reflect_colorThreshold = 0.25
	)
	on b_platinum pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Metal: Platinum"
	   meditMaterials[activeMeditSlot].Diffuse = color 137 135 100
	   meditMaterials[activeMeditSlot].Reflection = color 207 197 155
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.94
	   meditMaterials[activeMeditSlot].reflection_subdivs = 24
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].brdf_type = 2
	   meditMaterials[activeMeditSlot].reflect_minRate = -5
	   meditMaterials[activeMeditSlot].reflect_maxRate = -3
	   meditMaterials[activeMeditSlot].reflect_interpSamples = 20
	   meditMaterials[activeMeditSlot].reflect_normalThreshold = 0.4
	   meditMaterials[activeMeditSlot].reflect_colorThreshold = 0.25
	)
)
	
	rollout b "Liquid" width:200 height:200
	(
		button b_water "Assign" pos:[124,10] width:60 height:16
		label lbl13 "Water (20C)" pos:[8,10] width:112 height:16
		button b_alcohol "Assign" pos:[124,34] width:60 height:16
		label lbl3 "Alcohol (Ethyl)" pos:[8,34] width:112 height:16
		button b_wine "Assign" pos:[124,58] width:60 height:16
		label lbl6 "Wine (Red)" pos:[8,58] width:112 height:16
		button b_oil "Assign" pos:[124,82] width:60 height:16
		label lbl7 "Oil (Peanut)" pos:[8,82] width:112 height:16
		button b_juice "Assign" pos:[124,106] width:60 height:16
		label lbl8 "Juice (Apple)" pos:[8,106] width:112 height:16
		button b_tea "Assign" pos:[124,130] width:60 height:16
		label lbl9 "Tea" pos:[8,130] width:112 height:16
		button b_milk "Assign" pos:[124,154] width:60 height:16
		label lbl10 "Milk (SSS)" pos:[8,154] width:112 height:16
	
		on b_water pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Liquid: Water"
		   meditMaterials[activeMeditSlot].Diffuse = color 0 0 0
		   meditMaterials[activeMeditSlot].Reflection = color 126 126 126
		   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
		   meditMaterials[activeMeditSlot].reflection_subdivs = 8
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 12
		   meditMaterials[activeMeditSlot].Refraction = color 250 250 250
		   meditMaterials[activeMeditSlot].refraction_glossiness = 1.0
		   meditMaterials[activeMeditSlot].refraction_subdivs = 8
		   meditMaterials[activeMeditSlot].refraction_ior = 1.333
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 12
		   meditMaterials[activeMeditSlot].brdf_type = 0
		)
		on b_alcohol pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Liquid: Alcohol"
		   meditMaterials[activeMeditSlot].Diffuse = color 50 50 50
		   meditMaterials[activeMeditSlot].Reflection = color 233 233 233
		   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
		   meditMaterials[activeMeditSlot].reflection_subdivs = 8
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
		   meditMaterials[activeMeditSlot].Refraction = color 240 240 240
		   meditMaterials[activeMeditSlot].refraction_glossiness = 0.99
		   meditMaterials[activeMeditSlot].refraction_subdivs = 10
		   meditMaterials[activeMeditSlot].refraction_ior = 1.36
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 10
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 233 233 233
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.01
		   
		   meditMaterials[activeMeditSlot].brdf_type = 1
		)
		on b_wine pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Liquid: Wine_Red"
		   meditMaterials[activeMeditSlot].Diffuse = color 81 2 2
		   meditMaterials[activeMeditSlot].Reflection = color 245 245 245
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.92
		   meditMaterials[activeMeditSlot].reflection_subdivs = 16
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 7
		   meditMaterials[activeMeditSlot].Refraction = color 141 141 141
		   meditMaterials[activeMeditSlot].refraction_glossiness = 0.98
		   meditMaterials[activeMeditSlot].refraction_subdivs = 10
		   meditMaterials[activeMeditSlot].refraction_ior = 1.3
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 7
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 146 2 2
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.005
		   meditMaterials[activeMeditSlot].brdf_type = 0
		)
		on b_oil pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Liquid: Oil_Peanut"
		   meditMaterials[activeMeditSlot].Diffuse = color 224 192 107
		   meditMaterials[activeMeditSlot].Reflection = color 232 232 232
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.97
		   meditMaterials[activeMeditSlot].reflection_subdivs = 12
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 7
		   meditMaterials[activeMeditSlot].Refraction = color 220 220 220
		   meditMaterials[activeMeditSlot].refraction_glossiness = 0.98
		   meditMaterials[activeMeditSlot].refraction_subdivs = 12
		   meditMaterials[activeMeditSlot].refraction_ior = 1.483
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 7
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 193 135 35
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.3
		   meditMaterials[activeMeditSlot].brdf_type = 1
		)
		on b_juice pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Liquid: Juice_Apple"
		   meditMaterials[activeMeditSlot].Diffuse = color 189 166 96
		   meditMaterials[activeMeditSlot].Reflection = color 193 181 161
		   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
		   meditMaterials[activeMeditSlot].reflection_subdivs = 8
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 7
		   meditMaterials[activeMeditSlot].Refraction = color 213 213 213
		   meditMaterials[activeMeditSlot].refraction_glossiness = 0.99
		   meditMaterials[activeMeditSlot].refraction_subdivs = 8
		   meditMaterials[activeMeditSlot].refraction_ior = 1.351
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 7
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 146 98 35
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.2
		   meditMaterials[activeMeditSlot].brdf_type = 1
		)
		on b_tea pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Liquid: Tea"
		   meditMaterials[activeMeditSlot].Diffuse = color 45 9 3
		   meditMaterials[activeMeditSlot].Reflection = color 200 173 144
		   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
		   meditMaterials[activeMeditSlot].reflection_subdivs = 8
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
		   meditMaterials[activeMeditSlot].Refraction = color 197 197 197
		   meditMaterials[activeMeditSlot].refraction_glossiness = 0.99
		   meditMaterials[activeMeditSlot].refraction_subdivs = 8
		   meditMaterials[activeMeditSlot].refraction_ior = 1.356
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 5
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 234 33 12
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.26
		   meditMaterials[activeMeditSlot].brdf_type = 1
		)
		on b_milk pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Liquid: Milk"
		   meditMaterials[activeMeditSlot].Diffuse = color 254 254 254
		   meditMaterials[activeMeditSlot].Reflection = color 233 233 233
		   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
		   meditMaterials[activeMeditSlot].reflection_subdivs = 8
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 7
		   meditMaterials[activeMeditSlot].Refraction = color 64 64 64
		   meditMaterials[activeMeditSlot].refraction_glossiness = 0.98
		   meditMaterials[activeMeditSlot].refraction_subdivs = 16
		   meditMaterials[activeMeditSlot].refraction_ior = 1.35
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 7
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 211 211 211
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.3
		   meditMaterials[activeMeditSlot].translucency_on = 1
		   meditMaterials[activeMeditSlot].translucency_thickness = 100
		   meditMaterials[activeMeditSlot].translucency_color = color 208 208 208
		   meditMaterials[activeMeditSlot].translucency_scatterCoeff = 0.0
		   meditMaterials[activeMeditSlot].translucency_fbCoeff = 1.0
		   meditMaterials[activeMeditSlot].translucency_multiplier = 1.0
		   meditMaterials[activeMeditSlot].brdf_type = 1
		)
	)
	rollout c "Glass" width:200 height:336
	(
		button b_glass_objects "Assign" pos:[124,9] width:60 height:16
		label lbl22 "Objects" pos:[8,9] width:112 height:16
		button b_glass_brushed "Assign" pos:[124,33] width:60 height:16
		label lbl23 "Brushed" pos:[8,33] width:112 height:16
		button b_glass_frosty "Assign" pos:[124,57] width:60 height:16
		label lbl24 "Frosty" pos:[8,57] width:112 height:16
		button b_glass_architectural "Assign" pos:[124,81] width:60 height:16
		label lbl25 "Architectural" pos:[8,81] width:112 height:16
		button b_glass_red "Assign" pos:[124,105] width:60 height:16
		label lbl26 "Red Colored" pos:[8,105] width:112 height:16
		button b_glass_grad "Assign" pos:[124,129] width:60 height:16
		label lbl8 "Gradient Colored" pos:[8,129] width:112 height:16
		button b_glass_lens "Assign" pos:[124,153] width:60 height:16
		label lbl9 "Lens" pos:[8,153] width:112 height:16
		
		button b_glass_bottle "Assign" pos:[124,178] width:60 height:16
		label lbl208 "Beer Bottle" pos:[8,178] width:112 height:16
		on b_glass_objects pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Glass: Object_Mtl"
		   meditMaterials[activeMeditSlot].Diffuse = color 70 95 62
		   meditMaterials[activeMeditSlot].Reflection = color 255 255 255
		   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
		   meditMaterials[activeMeditSlot].reflection_subdivs = 8
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 7
		   meditMaterials[activeMeditSlot].Refraction = color 255 255 255
		   meditMaterials[activeMeditSlot].refraction_glossiness = 0.99
		   meditMaterials[activeMeditSlot].refraction_subdivs = 8
		   meditMaterials[activeMeditSlot].refraction_ior = 1.56
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 7
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 48 64 41
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.01
		   meditMaterials[activeMeditSlot].brdf_type = 0
		   meditMaterials[activeMeditSlot].option_reflectOnBack = on
		)
		on b_glass_brushed pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Glass: Object_Brushed_Mtl"
		   meditMaterials[activeMeditSlot].Diffuse = color 70 95 62
		   meditMaterials[activeMeditSlot].Reflection = color 0 0 0
		   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
		   meditMaterials[activeMeditSlot].reflection_subdivs = 5
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
		   meditMaterials[activeMeditSlot].Refraction = color 255 255 255
		   meditMaterials[activeMeditSlot].refraction_glossiness = 0.68
		   meditMaterials[activeMeditSlot].refraction_subdivs = 10
		   meditMaterials[activeMeditSlot].refraction_ior = 1.56
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 5
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 48 64 41
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.01
		   meditMaterials[activeMeditSlot].brdf_type = 0
		   meditMaterials[activeMeditSlot].option_reflectOnBack = off
		)
		on b_glass_frosty pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Glass: Frosty"
		   meditMaterials[activeMeditSlot].Diffuse = color 72 96 62
		   meditMaterials[activeMeditSlot].Reflection = color 255 255 255
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.5
		   meditMaterials[activeMeditSlot].reflection_subdivs = 12
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
		   meditMaterials[activeMeditSlot].Refraction = color 255 255 255
		   meditMaterials[activeMeditSlot].refraction_glossiness = 0.78
		   meditMaterials[activeMeditSlot].refraction_subdivs = 10
		   meditMaterials[activeMeditSlot].refraction_ior = 1.56
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 5
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 48 64 41
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.01
		   meditMaterials[activeMeditSlot].brdf_type = 0
		   meditMaterials[activeMeditSlot].option_reflectOnBack = on
		)
		on b_glass_architectural pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Glass: Architectural"
		   meditMaterials[activeMeditSlot].Diffuse = color 84 100 92
		   meditMaterials[activeMeditSlot].Reflection = color 55 58 56
		   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
		   meditMaterials[activeMeditSlot].reflection_subdivs = 8
		   meditMaterials[activeMeditSlot].reflection_fresnel = off
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
		   meditMaterials[activeMeditSlot].Refraction = color 244 244 244
		   meditMaterials[activeMeditSlot].refraction_glossiness = 1.0
		   meditMaterials[activeMeditSlot].refraction_subdivs = 8
		   meditMaterials[activeMeditSlot].refraction_ior = 1.0
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 5
		   meditMaterials[activeMeditSlot].brdf_type = 0
		   meditMaterials[activeMeditSlot].option_reflectOnBack = off
		)
		on b_glass_red pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Glass: Red"
		   meditMaterials[activeMeditSlot].Diffuse = color 0 0 0
		   meditMaterials[activeMeditSlot].Reflection = color 255 255 255
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.96
		   meditMaterials[activeMeditSlot].reflection_subdivs = 10
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
		   meditMaterials[activeMeditSlot].Refraction = color 255 255 255
		   meditMaterials[activeMeditSlot].refraction_glossiness = 0.99
		   meditMaterials[activeMeditSlot].refraction_subdivs = 8
		   meditMaterials[activeMeditSlot].refraction_ior = 1.56
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 5
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 214 114 114
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.05
		   meditMaterials[activeMeditSlot].brdf_type = 0
		   meditMaterials[activeMeditSlot].option_reflectOnBack = off
		)
		on b_glass_grad pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Glass: GradientColored"
		   meditMaterials[activeMeditSlot].Diffuse = color 25 25 25
		   meditMaterials[activeMeditSlot].texmap_diffuse = gradient showInViewport:false color1:[236,101,114] color2:[150,239,138] color2Pos:0.65 color3:[97,105,212] name:"diffmap"
		   meditMaterials[activeMeditSlot].Reflection = color 210 210 210
		   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
		   meditMaterials[activeMeditSlot].reflection_subdivs = 8
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
		   meditMaterials[activeMeditSlot].Refraction = color 240 240 240
		   meditMaterials[activeMeditSlot].texmap_refraction = gradient showInViewport:true color1:[248,199,204] color2:[232,251,226] color2Pos:0.65 color3:[220,222,245] name:"refmap"
		   meditMaterials[activeMeditSlot].refraction_glossiness = 0.98
		   meditMaterials[activeMeditSlot].refraction_subdivs = 8
		   meditMaterials[activeMeditSlot].refraction_ior = 1.74
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 5
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 255 255 255
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.01
		   meditMaterials[activeMeditSlot].brdf_type = 1
		   meditMaterials[activeMeditSlot].option_reflectOnBack = on
		)
		on b_glass_lens pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Glass: Lens"
		   meditMaterials[activeMeditSlot].Diffuse = color 0 0 0
		   meditMaterials[activeMeditSlot].Reflection = color 202 60 255
		   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
		   meditMaterials[activeMeditSlot].reflection_subdivs = 8
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = off
		   meditMaterials[activeMeditSlot].reflection_ior = 1.72
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
		   meditMaterials[activeMeditSlot].Refraction = color 255 255 255
		   meditMaterials[activeMeditSlot].refraction_glossiness = 1.0
		   meditMaterials[activeMeditSlot].refraction_subdivs = 8
		   meditMaterials[activeMeditSlot].refraction_ior = 1.56
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 5
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 65 65 65
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.001
		   meditMaterials[activeMeditSlot].brdf_type = 0
		   meditMaterials[activeMeditSlot].option_reflectOnBack = on
		   )
		on b_glass_bottle pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Glass: Beer_Bottle"
		   meditMaterials[activeMeditSlot].Diffuse = color 1 0 0
		   meditMaterials[activeMeditSlot].Reflection = color 127 127 127
		   meditMaterials[activeMeditSlot].texmap_reflection = Falloff showInViewport:true color1:[59,59,59] color2:[255,255,255] name:"reflmap"
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.97
		   meditMaterials[activeMeditSlot].reflection_subdivs = 8
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = on
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
		   meditMaterials[activeMeditSlot].Refraction = color 250 250 250
		   meditMaterials[activeMeditSlot].refraction_glossiness = 1.0
		   meditMaterials[activeMeditSlot].refraction_subdivs = 8
		   meditMaterials[activeMeditSlot].refraction_ior = 1.56
		   meditMaterials[activeMeditSlot].refraction_maxDepth = 5
		   meditMaterials[activeMeditSlot].refraction_fogColor = color 79 27 3
		   meditMaterials[activeMeditSlot].refraction_fogMult = 0.78
		   meditMaterials[activeMeditSlot].refraction_fogBias = 0.06
		   meditMaterials[activeMeditSlot].brdf_type = 0
		   meditMaterials[activeMeditSlot].option_reflectOnBack = on
		   )
	)
rollout f "Gemstones" width:200 height:229
(
	button b_ruby "Assign" pos:[124,10] width:60 height:16
	label lbl100 "Ruby" pos:[8,10] width:112 height:16
	button b_sapphire_y "Assign" pos:[124,34] width:60 height:16
	label lbl101 "Sapphire Yellow" pos:[8,34] width:112 height:16
	button b_topaz_blue "Assign" pos:[124,58] width:60 height:16
	label lbl102 "Topaz Blue" pos:[8,58] width:112 height:16
	button b_topaz_pink "Assign" pos:[124,82] width:60 height:16
	label lbl103 "Topaz Pink" pos:[8,82] width:112 height:16
	button b_topaz_smokey "Assign" pos:[124,106] width:60 height:16
	label lbl104 "Topaz Smokey" pos:[8,106] width:112 height:16
	button b_peridot "Assign" pos:[124,130] width:60 height:16
	label lbl105 "Peridot" pos:[8,130] width:112 height:16
	button b_garnet "Assign" pos:[124,154] width:60 height:16
	label lbl106 "Garnet" pos:[8,154] width:112 height:16
	button b_diamond "Assign" pos:[124,178] width:60 height:16
	label lbl408 "Diamond" pos:[8,178] width:112 height:16
	button b_onyx "Assign" pos:[124,202] width:60 height:16
	label lbl409 "Onyx Black" pos:[8,202] width:112 height:16
	on b_ruby pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Ruby"
	   meditMaterials[activeMeditSlot].Diffuse = color 35 1 1
	   meditMaterials[activeMeditSlot].Reflection = color 255 255 255
	   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = on
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].Refraction = color 169 169 169
	   meditMaterials[activeMeditSlot].refraction_glossiness = 0.98
	   meditMaterials[activeMeditSlot].refraction_subdivs = 8
	   meditMaterials[activeMeditSlot].refraction_ior = 1.76
	   meditMaterials[activeMeditSlot].refraction_maxDepth = 10
	   meditMaterials[activeMeditSlot].refraction_fogColor = color 179 2 18
	   meditMaterials[activeMeditSlot].refraction_fogMult = 0.3
	   meditMaterials[activeMeditSlot].brdf_type = 1
	   meditMaterials[activeMeditSlot].option_reflectOnBack = on
	)
	on b_sapphire_y pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Sapphire_Yellow"
	   meditMaterials[activeMeditSlot].Diffuse = color 160 127 32
	   meditMaterials[activeMeditSlot].Reflection = color 255 255 255
	   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = on
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].Refraction = color 190 190 190
	   meditMaterials[activeMeditSlot].refraction_glossiness = 1.0
	   meditMaterials[activeMeditSlot].refraction_subdivs = 8
	   meditMaterials[activeMeditSlot].refraction_ior = 1.76
	   meditMaterials[activeMeditSlot].refraction_maxDepth = 10
	   meditMaterials[activeMeditSlot].refraction_fogColor = color 200 170 55
	   meditMaterials[activeMeditSlot].refraction_fogMult = 0.11
	   meditMaterials[activeMeditSlot].brdf_type = 1
	   meditMaterials[activeMeditSlot].option_reflectOnBack = on
	)
	on b_topaz_blue pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Topaz_Blue"
	   meditMaterials[activeMeditSlot].Diffuse = color 7 44 103
	   meditMaterials[activeMeditSlot].Reflection = color 255 255 255
	   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = on
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].Refraction = color 173 173 173
	   meditMaterials[activeMeditSlot].refraction_glossiness = 0.99
	   meditMaterials[activeMeditSlot].refraction_subdivs = 8
	   meditMaterials[activeMeditSlot].refraction_ior = 1.615
	   meditMaterials[activeMeditSlot].refraction_maxDepth = 10
	   meditMaterials[activeMeditSlot].refraction_fogColor = color 80 194 252
	   meditMaterials[activeMeditSlot].refraction_fogMult = 0.13
	   meditMaterials[activeMeditSlot].brdf_type = 1
	   meditMaterials[activeMeditSlot].option_reflectOnBack = on
	)
	on b_topaz_pink pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Topaz_Pink"
	   meditMaterials[activeMeditSlot].Diffuse = color 155 11 16
	   meditMaterials[activeMeditSlot].Reflection = color 255 255 255
	   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = on
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].Refraction = color 190 190 190
	   meditMaterials[activeMeditSlot].refraction_glossiness = 0.98
	   meditMaterials[activeMeditSlot].refraction_subdivs = 12
	   meditMaterials[activeMeditSlot].refraction_ior = 1.62
	   meditMaterials[activeMeditSlot].refraction_maxDepth = 10
	   meditMaterials[activeMeditSlot].refraction_fogColor = color 240 43 100
	   meditMaterials[activeMeditSlot].refraction_fogMult = 0.12
	   meditMaterials[activeMeditSlot].brdf_type = 1
	   meditMaterials[activeMeditSlot].option_reflectOnBack = on
	)
	on b_topaz_smokey pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Topaz_Smokey"
	   meditMaterials[activeMeditSlot].Diffuse = color 37 22 15
	   meditMaterials[activeMeditSlot].Reflection = color 255 255 255
	   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = on
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].Refraction = color 190 190 190
	   meditMaterials[activeMeditSlot].refraction_glossiness = 0.98
	   meditMaterials[activeMeditSlot].refraction_subdivs = 8
	   meditMaterials[activeMeditSlot].refraction_ior = 1.622
	   meditMaterials[activeMeditSlot].refraction_maxDepth = 10
	   meditMaterials[activeMeditSlot].refraction_fogColor = color 85 59 39
	   meditMaterials[activeMeditSlot].refraction_fogMult = 0.12
	   meditMaterials[activeMeditSlot].brdf_type = 1
	   meditMaterials[activeMeditSlot].option_reflectOnBack = on
	)
	on b_peridot pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Peridot"
	   meditMaterials[activeMeditSlot].Diffuse = color 68 79 8
	   meditMaterials[activeMeditSlot].Reflection = color 55 58 56
	   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_fresnel = off
	   meditMaterials[activeMeditSlot].reflection_lockIOR = on
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].Refraction = color 178 178 178
	   meditMaterials[activeMeditSlot].refraction_glossiness = 0.99
	   meditMaterials[activeMeditSlot].refraction_subdivs = 8
	   meditMaterials[activeMeditSlot].refraction_ior = 1.69
	   meditMaterials[activeMeditSlot].refraction_maxDepth = 10
	   meditMaterials[activeMeditSlot].refraction_fogColor = color 172 196 62
	   meditMaterials[activeMeditSlot].refraction_fogMult = 0.24
	   meditMaterials[activeMeditSlot].brdf_type = 1
	   meditMaterials[activeMeditSlot].option_reflectOnBack = on
	)
	on b_garnet pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Garnet"
	   meditMaterials[activeMeditSlot].Diffuse = color 11 2 1
	   meditMaterials[activeMeditSlot].Reflection = color 255 255 255
	   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = on
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].Refraction = color 169 169 169
	   meditMaterials[activeMeditSlot].refraction_glossiness = 1.0
	   meditMaterials[activeMeditSlot].refraction_subdivs = 8
	   meditMaterials[activeMeditSlot].refraction_ior = 1.82
	   meditMaterials[activeMeditSlot].refraction_maxDepth = 10
	   meditMaterials[activeMeditSlot].refraction_fogColor = color 253 13 6
	   meditMaterials[activeMeditSlot].refraction_fogMult = 0.31
	   meditMaterials[activeMeditSlot].brdf_type = 1
	   meditMaterials[activeMeditSlot].option_reflectOnBack = on
	)
	on b_diamond pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Diamond"
	   meditMaterials[activeMeditSlot].Diffuse = color 65 65 65
	   meditMaterials[activeMeditSlot].Reflection = color 255 255 255
	   meditMaterials[activeMeditSlot].reflection_glossiness = 1.0
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = on
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].Refraction = color 255 255 255
	   meditMaterials[activeMeditSlot].refraction_glossiness = 0.99
	   meditMaterials[activeMeditSlot].refraction_subdivs = 10
	   meditMaterials[activeMeditSlot].refraction_ior = 2.417
	   meditMaterials[activeMeditSlot].refraction_maxDepth = 10
	   meditMaterials[activeMeditSlot].refraction_fogColor = color 220 209 146
	   meditMaterials[activeMeditSlot].refraction_fogMult = 0.001
	   meditMaterials[activeMeditSlot].brdf_type = 1
	   meditMaterials[activeMeditSlot].option_reflectOnBack = on
	)
	on b_onyx pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Onyx"
	   meditMaterials[activeMeditSlot].Diffuse = color 1 1 2
	   meditMaterials[activeMeditSlot].Reflection = color 255 255 255
	   meditMaterials[activeMeditSlot].reflection_lockGlossiness = off
	   meditMaterials[activeMeditSlot].hilight_glossiness = 0.99
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.91
	   meditMaterials[activeMeditSlot].reflection_subdivs = 30
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = off
	   meditMaterials[activeMeditSlot].reflection_ior = 1.7
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 10
	   meditMaterials[activeMeditSlot].Refraction = color 0 0 0
	   meditMaterials[activeMeditSlot].refraction_glossiness = 1.0
	   meditMaterials[activeMeditSlot].refraction_subdivs = 5
	   meditMaterials[activeMeditSlot].refraction_ior = 1.486
	   meditMaterials[activeMeditSlot].refraction_maxDepth = 5
	   meditMaterials[activeMeditSlot].brdf_type = 0
	)
)
rollout o "Organic" width:200 height:200
(
	button b_grass_fur "Assign" pos:[124,10] width:60 height:16
	label lble13 "Grass (VRayFur)" pos:[8,10] width:112 height:16
	button b_eggshell "Assign" pos:[124,34] width:60 height:16
	label lble3 "Egg (Shell)" pos:[8,34] width:112 height:16
	button b_peach "Assign" pos:[124,58] width:60 height:16
	label lble6 "Peach" pos:[8,58] width:112 height:16
	button b_plum "Assign" pos:[124,82] width:60 height:16
	label lble7 "Plum" pos:[8,82] width:112 height:16
	button b_skin "Assign" pos:[124,106] width:60 height:16
	label lble8 "Basic H Skin (SSS)" pos:[8,106] width:112 height:14
	on b_grass_fur pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Organic: Grass_VRayFur"
	   meditMaterials[activeMeditSlot].Diffuse = color 116 154 0
	   meditMaterials[activeMeditSlot].Reflection = color 5 5 5
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.89
	   meditMaterials[activeMeditSlot].reflection_subdivs = 8
	   meditMaterials[activeMeditSlot].reflection_fresnel = off
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 4
	   meditMaterials[activeMeditSlot].brdf_type = 1
	)
	on b_eggshell pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayBlendMtl()
	   meditMaterials[activeMeditSlot].name = "Organic: EggShell"
	   meditMaterials[activeMeditSlot].baseMtl = VrayMtl()
	   meditMaterials[activeMeditSlot].baseMtl.name = "Eggshell_base"
	   meditMaterials[activeMeditSlot].baseMtl.Diffuse = color 167 88 37
	   meditMaterials[activeMeditSlot].baseMtl.Reflection = color 59 59 59
	   meditMaterials[activeMeditSlot].baseMtl.reflection_glossiness = 0.7
	   meditMaterials[activeMeditSlot].baseMtl.reflection_subdivs = 24
	   meditMaterials[activeMeditSlot].baseMtl.reflection_fresnel = on
	   meditMaterials[activeMeditSlot].baseMtl.reflection_lockIOR = off
	   meditMaterials[activeMeditSlot].baseMtl.reflection_ior = 6.0
	   meditMaterials[activeMeditSlot].baseMtl.brdf_type = 1
	   meditMaterials[activeMeditSlot].baseMtl.texmap_bump = Cellular name:"BaseBump" cell_color:[255,255,255] division_color1:[128,128,128] division_color2:[27,27,27] type:0 size:0.8 spread:0.63 fractal:true iteration:2.0 midthresh:0.52 highthresh:0.96
	   meditMaterials[activeMeditSlot].baseMtl.texmap_bump_multiplier = 22.0
	   meditMaterials[activeMeditSlot].coatMtl = #(VrayMtl name:"Splat_Shell" diffuse:[55,9,0] reflection:[81,81,81] reflection_glossiness:0.55 reflection_subdivs:8 reflection_fresnel:on reflection_lockIOR:off reflection_ior:6.0 brdf_type:1,
		VrayMtl name:"Splat_Shell_02" diffuse:[202,151,89] reflection:[81,81,81] reflection_glossiness:0.55 reflection_subdivs:8 reflection_fresnel:on reflection_lockIOR:off reflection_ior:6.0 brdf_type:1, undefined, undefined, undefined, undefined, undefined, undefined, undefined)
	   meditMaterials[activeMeditSlot].texmap_blend = #(Splat name:"Splat1" size:1.8 iterations:2 threshold:0.15 color1:[0,0,0] color2:[255,255,255],
		Splat name:"Splat2" size:1.2 iterations:3 threshold:0.15 color1:[0,0,0] color2:[255,255,255], undefined, undefined, undefined, undefined, undefined, undefined, undefined)
	)
	on b_peach pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Organic: Peach"
	   meditMaterials[activeMeditSlot].Diffuse = color 219 165 57
	   meditMaterials[activeMeditSlot].texmap_diffuse = Mix name:"Diffuse_color"
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1 = Mix name:"Base"
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map1 = Gradient_ramp name:"Color" Gradient_Type:4
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map1.coordinates.W_Angle = 90.0
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map1.coordinates.U_Mirror = true
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map1.coordinates.V_Mirror = false
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map1.coordinates.U_Tile = false
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map1.coordinates.V_Tile = true
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map1.gradient_ramp.flag__1.color = color 177 29 15
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map1.gradient_ramp.flag__3.color = color 207 121 27
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map1.gradient_ramp.flag__2.color = color 219 165 57
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map2 = Output name:"Color_Bright"
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map2.Map1 = Gradient_ramp()
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map2.Map1.coordinates.W_Angle = 90.0
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map2.Map1.coordinates.U_Mirror = true
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map2.Map1.coordinates.V_Mirror = false
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map2.Map1.coordinates.U_Tile = false
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map2.Map1.coordinates.V_Tile = true
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map2.Map1.gradient_ramp.flag__1.color = color 177 29 15
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map2.Map1.gradient_ramp.flag__3.color = color 207 121 27
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Map2.Map1.gradient_ramp.flag__2.color = color 219 165 57
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Mask = Noise name:"Color_Mask" Type:1
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Mask.size = 1.0
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Mask.thresholdHigh = 0.701
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Mask.thresholdLow = 0.2
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map1.Mask.coords.Tiling = [1.0, 1.0, 0.6]
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map2 = Gradient_ramp name:"Base_Color2"
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map2.coordinates.W_Angle = 90.0
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map2.coordinates.U_Mirror = true
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map2.coordinates.V_Mirror = false
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map2.coordinates.U_Tile = false
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map2.coordinates.V_Tile = true
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map2.coordinates.V_Tiling = 3.0
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map2.gradient_ramp.flag__1.color = color 177 29 15
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map2.gradient_ramp.flag__3.color = color 207 121 27
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map2.gradient_ramp.flag__2.color = color 219 165 57
	   meditMaterials[activeMeditSlot].texmap_diffuse.Map2.gradient_ramp.flag__3.position = 32.0
	   meditMaterials[activeMeditSlot].texmap_diffuse.Mask = Gradient_ramp name:"Base_Mix"
	   meditMaterials[activeMeditSlot].texmap_diffuse.Mask.gradient_ramp.flag__1.color = color 0 0 0
	   meditMaterials[activeMeditSlot].texmap_diffuse.Mask.gradient_ramp.flag__2.color = color 0 0 0
	   meditMaterials[activeMeditSlot].texmap_diffuse.Mask.gradient_ramp.flag__3.color = color 255 255 255
	   meditMaterials[activeMeditSlot].texmap_diffuse.Mask.gradient_ramp.flag__3.position = 50.0
	   meditMaterials[activeMeditSlot].texmap_diffuse.Mask.coordinates.U_Tiling = 6
	   meditMaterials[activeMeditSlot].texmap_diffuse.Mask.amount = 0.12
	   meditMaterials[activeMeditSlot].texmap_diffuse.Mask.size = 0.2
	   meditMaterials[activeMeditSlot].Reflection = color 109 109 109
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.6
	   meditMaterials[activeMeditSlot].reflection_subdivs = 24
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = on
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].brdf_type = 1
	)
	on b_plum pressed do
	(
	   meditMaterials[activeMeditSlot] = Blend name:"Organic: Plum"
	   meditMaterials[activeMeditSlot].Map1 = VrayMtl name:"DiffColor"
	   meditMaterials[activeMeditSlot].Map1.Reflection = color 60 60 60
	   meditMaterials[activeMeditSlot].Map1.reflection_glossiness = 0.75
	   meditMaterials[activeMeditSlot].Map1.reflection_subdivs = 35
	   meditMaterials[activeMeditSlot].Map1.reflection_fresnel = on
	   meditMaterials[activeMeditSlot].Map1.reflection_lockIOR = off
	   meditMaterials[activeMeditSlot].Map1.reflection_ior = 3.2
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse = Mix name:"Mix_base"
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map1 = Cellular name:"Cell_base1"
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map1.cell_color = color 7 3 4
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map1.division_color1 = color 3 1 1
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map1.division_color2 = color 3 2 2
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map1.size = 1.0
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map1.spread = 0.65
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map1.smooth = 0.0
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map1.lowthresh = 0.2
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map1.midthresh = 0.66
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map1.highthresh = 0.8
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map2 = Cellular name:"Cell_base2"
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map2.cell_color = color 2 1 3
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map2.division_color1 = color 3 1 1
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map2.division_color2 = color 41 23 29
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map2.size = 1.0
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map2.spread = 0.65
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map2.smooth = 0.0
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map2.lowthresh = 0.2
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map2.midthresh = 0.66
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.Map2.highthresh = 0.8
	   meditMaterials[activeMeditSlot].Map1.texmap_diffuse.mixAmount = 20.0
	   meditMaterials[activeMeditSlot].Map1.brdf_type = 1
	   meditMaterials[activeMeditSlot].Map2 = VrayMtl name:"Co_01"
	   meditMaterials[activeMeditSlot].Map2.Diffuse = color 51 67 130
	   meditMaterials[activeMeditSlot].Map2.Reflection = color 34 34 34
	   meditMaterials[activeMeditSlot].Map2.reflection_glossiness = 0.6
	   meditMaterials[activeMeditSlot].Map2.reflection_subdivs = 16
	   meditMaterials[activeMeditSlot].Map2.reflection_fresnel = on
	   meditMaterials[activeMeditSlot].Map2.brdf_type = 1
	   meditMaterials[activeMeditSlot].Mask = Noise name:"MSK_01" type:1 thresholdLow:0.36 thresholdHigh:1.0 levels:4.0 phase:18.5 size:30.0
	   meditMaterials[activeMeditSlot].Mask.coords.blur = 0.2
	)
	on b_skin pressed do
	(
	   meditMaterials[activeMeditSlot] = VrayMtl ()
	   meditMaterials[activeMeditSlot].name = "Organic: Basic Skin"
	   meditMaterials[activeMeditSlot].Diffuse = color 216 165 130
	   meditMaterials[activeMeditSlot].Reflection = color 4 4 4
	   meditMaterials[activeMeditSlot].reflection_glossiness = 0.4
	   meditMaterials[activeMeditSlot].reflection_subdivs = 24
	   meditMaterials[activeMeditSlot].reflection_fresnel = on
	   meditMaterials[activeMeditSlot].reflection_lockIOR = on
	   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
	   meditMaterials[activeMeditSlot].Refraction = color 124 124 124
	   meditMaterials[activeMeditSlot].refraction_glossiness = 0.3
	   meditMaterials[activeMeditSlot].refraction_subdivs = 24
	   meditMaterials[activeMeditSlot].refraction_ior = 1.62
	   meditMaterials[activeMeditSlot].refraction_maxDepth = 5
	   meditMaterials[activeMeditSlot].refraction_fogColor = color 185 131 90
	   meditMaterials[activeMeditSlot].refraction_fogMult = 0.1
	   meditMaterials[activeMeditSlot].translucency_type = 1
	   meditMaterials[activeMeditSlot].translucency_thickness = 100.0
	   meditMaterials[activeMeditSlot].translucency_scatterCoeff = 0.0
	   meditMaterials[activeMeditSlot].translucency_fbCoeff = 0.5
	   meditMaterials[activeMeditSlot].translucency_multiplier = 3.5
	   meditMaterials[activeMeditSlot].brdf_type = 1
	)
)
	rollout cr "Ceramics" width:200 height:300
	(
		button b_cr_potterydark "Assign" pos:[124,10] width:60 height:16
		label lbl_cr_01 "Pottery Dark" pos:[8,10] width:112 height:16
		button b_cr_potterylight "Assign" pos:[124,34] width:60 height:16
		label lbl_cr_02 "Pottery Light" pos:[8,34] width:112 height:16
		button b_cr_porcelaindark "Assign" pos:[124,58] width:60 height:16
		label lbl_cr_03 "Porcelain Dark" pos:[8,58] width:112 height:16
		button b_cr_porcelainlight "Assign" pos:[124,82] width:60 height:16
		label lbl_cr_04 "Porcelain Light 1" pos:[8,82] width:112 height:16
		button b_cr_porcelainlight1 "Assign" pos:[124,106] width:60 height:16
		label lbl_cr_05 "Porcelain Light 2" pos:[8,106] width:112 height:14
		button b_cr_glaze "Assign" pos:[124,130] width:60 height:16
		label lbl_cr_06 "Glaze" pos:[8,130] width:112 height:14
		button b_cr_enamel1 "Assign" pos:[124,154] width:60 height:16
		label lbl_cr_07 "Enamel 1" pos:[8,154] width:112 height:14
		button b_cr_enamel2 "Assign" pos:[124,178] width:60 height:16
		label lbl_cr_08 "Enamel 2" pos:[8,178] width:112 height:14
		button b_cr_enamel3 "Assign" pos:[124,202] width:60 height:16
		label lbl_cr_09 "Enamel 3" pos:[8,202] width:112 height:14
		on b_cr_potterydark pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Ceramics: Pottery_Dark"
		   meditMaterials[activeMeditSlot].Diffuse = color 1 1 1
		   meditMaterials[activeMeditSlot].texmap_Reflection = falloff color1:[12,12,12] color2:[238,238,238] name:"reflmap"
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.98
		   meditMaterials[activeMeditSlot].reflection_subdivs = 30
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = off
		   meditMaterials[activeMeditSlot].reflection_ior = 3.2
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 7
		   meditMaterials[activeMeditSlot].brdf_type = 2
		)
		on b_cr_potterylight pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Ceramics: Pottery_Light"
		   meditMaterials[activeMeditSlot].Diffuse = color 245 245 245
		   meditMaterials[activeMeditSlot].texmap_Reflection = falloff color1:[12,12,12] color2:[233,233,240] name:"reflmap"
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.98
		   meditMaterials[activeMeditSlot].reflection_subdivs = 30
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = off
		   meditMaterials[activeMeditSlot].reflection_ior = 3.3
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 7
		   meditMaterials[activeMeditSlot].brdf_type = 2
		)
		on b_cr_porcelaindark pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Ceramics: Porcelain_Dark"
		   meditMaterials[activeMeditSlot].Diffuse = color 2 2 2
		   meditMaterials[activeMeditSlot].Reflection = color 147 147 147
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.9
		   meditMaterials[activeMeditSlot].reflection_subdivs = 16
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = off
		   meditMaterials[activeMeditSlot].reflection_ior = 1.8
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
		   meditMaterials[activeMeditSlot].brdf_type = 2
		   meditMaterials[activeMeditSlot].texmap_bump = Noise name:"bumpmap" type:1 thresholdLow:0.0 thresholdHigh:1.0 levels:10.0 phase:0.0 size:4.0
		   meditMaterials[activeMeditSlot].texmap_bump_multiplier = 2.0
		   meditMaterials[activeMeditSlot].texmap_bump.coords.blur = 0.5
		)
		on b_cr_porcelainlight pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Ceramics: Porcelain_Light1"
		   meditMaterials[activeMeditSlot].Diffuse = color 240 240 240
		   meditMaterials[activeMeditSlot].Reflection = color 147 147 147
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.91
		   meditMaterials[activeMeditSlot].reflection_subdivs = 16
		   meditMaterials[activeMeditSlot].reflection_fresnel = on
		   meditMaterials[activeMeditSlot].reflection_lockIOR = off
		   meditMaterials[activeMeditSlot].reflection_ior = 1.8
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 5
		   meditMaterials[activeMeditSlot].brdf_type = 2
		   meditMaterials[activeMeditSlot].texmap_bump = Noise name:"bumpmap" type:1 thresholdLow:0.0 thresholdHigh:1.0 levels:10.0 phase:0.0 size:4.0
		   meditMaterials[activeMeditSlot].texmap_bump_multiplier = 2.0
		   meditMaterials[activeMeditSlot].texmap_bump.coords.blur = 0.5
		)
		on b_cr_porcelainlight1 pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Ceramics: Porcelain_Light2"
		   meditMaterials[activeMeditSlot].Diffuse = color 240 253 255
		   meditMaterials[activeMeditSlot].Reflection = color 70 70 70
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.56
		   meditMaterials[activeMeditSlot].reflection_subdivs = 24
		   meditMaterials[activeMeditSlot].reflection_fresnel = off
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 7
		   meditMaterials[activeMeditSlot].brdf_type = 0
		   meditMaterials[activeMeditSlot].texmap_bump = Noise name:"bumpmap" type:1 thresholdLow:0.0 thresholdHigh:1.0 levels:10.0 phase:0.0 size:3.0
		   meditMaterials[activeMeditSlot].texmap_bump_multiplier = 2.0
		   meditMaterials[activeMeditSlot].texmap_bump.coords.blur = 0.6
		)
		on b_cr_glaze pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Ceramics: Glaze"
		   meditMaterials[activeMeditSlot].Diffuse = color 250 194 134
		   meditMaterials[activeMeditSlot].texmap_Reflection = falloff color1:[6,6,6] color2:[110,110,110] name:"reflmap"
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.92
		   meditMaterials[activeMeditSlot].reflection_subdivs = 24
		   meditMaterials[activeMeditSlot].reflection_fresnel = off
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 16
		   meditMaterials[activeMeditSlot].brdf_type = 0
		)
		on b_cr_enamel1 pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Ceramics: Enamel_01"
		   meditMaterials[activeMeditSlot].texmap_Diffuse = falloff color1:[20,12,4] color2:[4,5,4] name:"diffmap"
		   meditMaterials[activeMeditSlot].texmap_Reflection = falloff color1:[6,6,6] color2:[24,26,20] name:"reflmap"
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.91
		   meditMaterials[activeMeditSlot].reflection_subdivs = 24
		   meditMaterials[activeMeditSlot].reflection_fresnel = off
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 16
		   meditMaterials[activeMeditSlot].brdf_type = 0
		)
		on b_cr_enamel2 pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Ceramics: Enamel_02"
		   meditMaterials[activeMeditSlot].texmap_Diffuse = falloff color1:[174,118,106] color2:[114,77,62] name:"diffmap"
		   meditMaterials[activeMeditSlot].texmap_Reflection = falloff color1:[16,16,16] color2:[245,203,190] name:"reflmap"
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.91
		   meditMaterials[activeMeditSlot].reflection_subdivs = 24
		   meditMaterials[activeMeditSlot].reflection_fresnel = off
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 16
		   meditMaterials[activeMeditSlot].brdf_type = 0
		)
		on b_cr_enamel3 pressed do
		(
		   meditMaterials[activeMeditSlot] = VrayMtl ()
		   meditMaterials[activeMeditSlot].name = "Ceramics: Enamel_03"
		   meditMaterials[activeMeditSlot].texmap_Diffuse = falloff color1:[1,1,1] color2:[2,2,4] name:"diffmap"
		   meditMaterials[activeMeditSlot].texmap_Reflection = falloff color1:[10,10,10] color2:[86,88,103] name:"reflmap"
		   meditMaterials[activeMeditSlot].reflection_glossiness = 0.91
		   meditMaterials[activeMeditSlot].reflection_subdivs = 24
		   meditMaterials[activeMeditSlot].reflection_fresnel = off
		   meditMaterials[activeMeditSlot].reflection_maxDepth = 16
		   meditMaterials[activeMeditSlot].brdf_type = 0
		)
	)
	rollout d "About" width:200 height:200
	(
		label lbl1 "VRayMtl Presets v0.6" pos:[48,8] width:112 height:16
		label lbl3 "Created by Regimantas Valiukas" pos:[23,24] width:160 height:16
		HyperLink homepage "www.siger.lt" pos:[70,56] width:65 height:15 address:"http://www.siger.lt" color:(color 255 153 51) hovercolor:(color 255 153 51) visitedcolor:(color 255 153 51)
		label lbl10 "Copyright  2009" pos:[58,40] width:83 height:15
	)
	
	rof=newrolloutfloater "VRayMtl Presets 0.6" 216 600 

addRollout a rof rolledUp:true
addRollout b rof rolledUp:true
addRollout c rof rolledUp:true
addRollout f rof rolledUp:true
addRollout o rof rolledUp:true
addRollout cr rof rolledUp:true
addRollout d rof rolledUp:false
)